Update fields on an object
Writes typed fields on one object. The server accepts only the fields that the type lists in writable_fields. Today these types have writable fields: commitment (description, owner_type, due_date), calendar_event (join_requested) and composition (title, body). An API key needs the ontology:write scope for this call. Keys that you create in the Doris app have ontology:read and events:read only, so they get 403. Rate limit: 60 requests per minute for each workspace.
curl --request PATCH \
--url https://server.meetdoris.com/api/v1/ontology/{type_name}/{object_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"due_date": "2026-10-02"
}
'import requests
url = "https://server.meetdoris.com/api/v1/ontology/{type_name}/{object_id}"
payload = { "due_date": "2026-10-02" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({due_date: '2026-10-02'})
};
fetch('https://server.meetdoris.com/api/v1/ontology/{type_name}/{object_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://server.meetdoris.com/api/v1/ontology/{type_name}/{object_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'due_date' => '2026-10-02'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://server.meetdoris.com/api/v1/ontology/{type_name}/{object_id}"
payload := strings.NewReader("{\n \"due_date\": \"2026-10-02\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://server.meetdoris.com/api/v1/ontology/{type_name}/{object_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"due_date\": \"2026-10-02\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://server.meetdoris.com/api/v1/ontology/{type_name}/{object_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"due_date\": \"2026-10-02\"\n}"
response = http.request(request)
puts response.read_body{}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Authorizations
A Doris API key that starts with sk-live-. A workspace admin creates keys in Settings > Workspace > Developer. A key works only on /api/v1/ontology/ routes.
Path Parameters
The object type, for example deal, account, person, meeting or commitment. Call GET /types to see the types in your workspace.
"deal"
The object ID.
Body
The body is of type object.
Response
The write succeeded.
The response is of type object.
curl --request PATCH \
--url https://server.meetdoris.com/api/v1/ontology/{type_name}/{object_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"due_date": "2026-10-02"
}
'import requests
url = "https://server.meetdoris.com/api/v1/ontology/{type_name}/{object_id}"
payload = { "due_date": "2026-10-02" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({due_date: '2026-10-02'})
};
fetch('https://server.meetdoris.com/api/v1/ontology/{type_name}/{object_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://server.meetdoris.com/api/v1/ontology/{type_name}/{object_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'due_date' => '2026-10-02'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://server.meetdoris.com/api/v1/ontology/{type_name}/{object_id}"
payload := strings.NewReader("{\n \"due_date\": \"2026-10-02\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://server.meetdoris.com/api/v1/ontology/{type_name}/{object_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"due_date\": \"2026-10-02\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://server.meetdoris.com/api/v1/ontology/{type_name}/{object_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"due_date\": \"2026-10-02\"\n}"
response = http.request(request)
puts response.read_body{}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}